
Figure - Bug #112016
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】长按有微件功能的应用图标出现微件添加按钮，点击该按钮，屏幕刷新，回到主页
面
2022-09-19 15:32 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-19

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 2022-09-22

Reproducibility: Every time Fixed Version: 2022-09-22

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、有微件功能的应用图标

2、在弹出的菜单中选择微件

【预期结果】

2、进入微件添加列表

【实际结果】

2、屏幕刷新，回到主页面

【复现率】

必现

History

#1 - 2022-09-19 17:07 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD APP-黄棚

#2 - 2022-09-19 17:34 - CD APP-黄棚

- Status changed from New to ASSIGNED

■ Current conclusion

分析中

■ My analysis

通过log分析，对象类型转换错误导致

■ Next action / ■Submit URL

修改对象类型为linearlayout

#3 - 2022-09-19 17:36 - CD APP-黄棚
- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

■ Current conclusion

已经找打维妮塔

■ My analysis

通过log分析，对象类型转换错误导致

■ Next action / ■Submit URL

修改对象类型为linearlayout

#4 - 2022-09-20 10:15 - CD APP-黄棚

- Verified Version set to 2022-09-21

- Fixed Version set to 2022-09-21

#5 - 2022-09-20 16:09 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

#6 - 2022-09-20 16:26 - CD APP-王营

- Root cause set to 编码问题

#7 - 2022-09-20 16:36 - CD APP-王营

- Degrated changed from -- to No

#8 - 2022-09-21 10:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD APP-黄棚

#9 - 2022-09-21 10:50 - CD APP-黄棚

- Status changed from VERIFY_FAILED to RESOLVED

- Verified Version changed from 2022-09-21 to 2022-09-22

- Fixed Version changed from 2022-09-21 to 2022-09-22

■ Current conclusion

已经找到问题，之前只改了一处，还有另外一处需要转换，以确定只有两处

■ My analysis

通过log分析，对象类型转换错误导致

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/150293

#10 - 2022-09-21 18:50 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

#11 - 2022-09-23 10:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2022-09-23 10:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
#13 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149832 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher: Fix the bug of adding widgets from the application information entry to crash1.Fix the bug of adding widgets from the application information entry

to crashTC-RID: 1201-0205305IssueID: TS-R-DF-112016Change-Id: I470b969009a604a8c777ab3297b418337a472352

#14 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150293 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher: Fix the bug of adding widgets from the application information entry to crash1.Fix the bug of adding widgets from the application information entry

to crashTC-RID: 1201-0205305IssueID: TS-R-DF-112016Change-Id: I45f7c20bed651ff0d9528f349661bb7bdf6f5b25

Files

应用-微件-闪退.log 17.1 KB 2022-09-19 CD TEST-方永红
